Jump to content

The ultimate community for Ruby on Rails developers.


Photo

Is Anyone Using The Pre Release Version of the routing-filter gem for Rails 4?

routing i18n localization

  • Please log in to reply
1 reply to this topic

#1 LightBeCorp

LightBeCorp

    Passenger

  • Members
  • 7 posts

Posted 27 August 2013 - 10:43 PM

I am working on upgrading all of my Rails 3.2.13 applications to Rails 4.0.0 using Ruby 2.0.0.  I have two existing applications and another I'm working on that are localized into several languages.  I had problems with using the current version in Rails 4.  When I responded to an existing issue in GitHub we were directed to use the gem here: https://rubygems.org...sions/0.4.0.pre.  I added the gem to my Gemfile and made the same changes I did for the Rails 3 version which works wonderfully.  In the response I was told that the gem works great.  However I cannot get it to work at all.  None of my links include the locale like the Rails 3 version does.  There is no documentation for the Rails 4 version.  When I check GitHub there are no updates for Rails 4 so I changed my Rails 4 application like I have in my Rails 3 application.  I created a new issue in GitHub for this last week but have not received any responses yet.  

If anyone has had success in using this prerelease version I would appreciate it if they would post the changes they made in their application to make it work.



#2 LightBeCorp

LightBeCorp

    Passenger

  • Members
  • 7 posts

Posted 07 November 2013 - 06:29 PM

I never heard from the developers.  However the problem I was having was corrected.  By then I decided to forego using the gem and using the native Rails I18n routing logic.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users